/chakra/desktop/oyranos/src/oyranos-0.9.6/src/API_generated/oyranos_module.h File Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Macros | Enumerations | Functions
oyranos_module.h File Reference
`#include "oyFilterCore_s.h"`
`#include "oyOptions_s.h"`
`#include "oyFilterPlug_s.h"`
`#include "oyPixelAccess_s.h"`

## Macros
#define | OY_FILTEREDGE_FREE 0x01
#define | OY_FILTEREDGE_CONNECTED 0x02
#define | OY_FILTEREDGE_LASTTYPE 0x04

## Enumerations
enum | oyCMMQUERY_e { oyQUERY_OYRANOS_COMPATIBILITY, oyQUERY_PROFILE_FORMAT = 20, oyQUERY_PROFILE_TAG_TYPE_READ, oyQUERY_PROFILE_TAG_TYPE_WRITE }
| CMM capabilities query enum. More...
enum | oyCONNECTOR_EVENT_e { oyCONNECTOR_EVENT_OK, oyCONNECTOR_EVENT_CONNECTED, oyCONNECTOR_EVENT_RELEASED, oyCONNECTOR_EVENT_DATA_CHANGED, oyCONNECTOR_EVENT_STORAGE_CHANGED, oyCONNECTOR_EVENT_INCOMPATIBLE_DATA, oyCONNECTOR_EVENT_INCOMPATIBLE_OPTION, oyCONNECTOR_EVENT_INCOMPATIBLE_CONTEXT, oyCONNECTOR_EVENT_INCOMPLETE_GRAPH }
| Connector events types. More...
enum | oyFILTER_REG_MODE_e { , oyFILTER_REG_MODE_STRIP_IMPLEMENTATION_ATTR = 0x0100 }

## Functions
char | oyFilterRegistrationModify (const char *registration, oyFILTER_REG_MODE_e mode, char **result, oyAlloc_f allocateFunc)
| process a registration string More...

## Detailed Description

[Template file inheritance graph] +– oyranos_module.template.h

Oyranos is an open source Color Management System

Copyright:
  2004-2016 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/BSD-3-Clause

## Macro Definition Documentation

## ◆ OY_FILTEREDGE_CONNECTED

#define OY_FILTEREDGE_CONNECTED 0x02

list connected edges

Referenced by oyFilterGraph_s::oyFilterGraph_ToText(), and oyFilterNode_s::oyFilterNode_Run().

## ◆ OY_FILTEREDGE_FREE

#define OY_FILTEREDGE_FREE 0x01

list free edges

Referenced by oyFilterNode_s::oyFilterNode_Connect().

## ◆ OY_FILTEREDGE_LASTTYPE

#define OY_FILTEREDGE_LASTTYPE 0x04

list last type edges

## Function Documentation

## ◆ oyFilterRegistrationModify()

char oyFilterRegistrationModify | ( | const char * | registration,
|  | oyFILTER_REG_MODE_e | mode,
|  | char ** | result,
|  | oyAlloc_f | allocateFunc
| ) |  |

process a registration string

A semantical overview is given in Backend Modules.

Parameters

  [in] | registration | registration key
  [in] | mode | the processing rule
  [out] | result | allocated by allocateFunc
  [in] | allocateFunc | optional user allocator; defaults to oyAllocateFunc_

Returns
  0 - good; >= 1 - error; < 0 issue

Version
  Oyranos: 0.1.11

Since
  2010/08/12 (Oyranos: 0.1.11)

Date
  2010/08/12

References OY_SLASH, OY_SLASH_C, and oyFILTER_REG_MODE_STRIP_IMPLEMENTATION_ATTR.